// SPDX-FileCopyrightText: 2024 KylinSoft Co., Ltd.
//
// SPDX-License-Identifier: GPL-1.0-or-later

#include "ukuishellintegration.h"

#include <QtWaylandClient/private/qwaylandshellintegrationplugin_p.h>

namespace QtWaylandClient
{

class UkuiShellIntegrationPlugin : public QWaylandShellIntegrationPlugin
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID QWaylandShellIntegrationFactoryInterface_iid FILE "ukui-shell.json")
public:
    QWaylandShellIntegration *create(const QString &key, const QStringList &paramList) override;
};

QWaylandShellIntegration *UkuiShellIntegrationPlugin::create(const QString &key, const QStringList &paramList)
{
    return new UkuiShellIntegration();
}

}

#include "main.moc"
